### Method

# Ide Debugger get_thread_groups

#### Declaration

    GListModel*
    ide_debugger_get_thread_groups (
      IdeDebugger* self
    )

#### Description

Gets the thread groups that have been registered by the debugger.

The resulting `GListModel` accuracy is based on the `IdeDebugger` implementation emitting varous thread-group modification signals correctly.

Available since: | 3.32

#### Return value

Returns: | A list model of `GObject`
| A `GListModel` of `IdeDebuggerThreadGroup`.
| The data is owned by the instance.